--!parent
--!encoding=utf-8

property ancestor

property pCbObject
property pCbHandler
property pSingleShotFlag
property pArg1, pArg2, pArg3, pArg4

----------------------------------------
-- @constructor
----------------------------------------
on new (me, tName, tPeriod, tCbHandler, tCbObject, tSingleShotFlag, tArg1, tArg2, tArg3, tArg4)
  if voidP(tCbObject) then tCbObject = _movie
  if voidP(tSingleShotFlag) then tSingleShotFlag = false
  
  me.pCbObject = tCbObject
  me.pCbHandler = tCbHandler
  me.pSingleShotFlag = tSingleShotFlag
  
  me.pArg1 = tArg1
  me.pArg2 = tArg2
  me.pArg3 = tArg3
  me.pArg4 = tArg4

  --me.ancestor = timeout().new(tName, tPeriod, #_done, me)
  
  -- force FIFO instead of STACK behavior
  t = timeout().new(tName, tPeriod, #_done, me)
  cnt = _movie.timeoutList.count
  if cnt>1 then
  	_movie.timeoutList.deleteAt(cnt)
  	_movie.timeoutList.addAt(1, t)  		
  end if
  me.ancestor = t
  	
  return me
end

----------------------------------------
-- @access private
----------------------------------------
on _done (me)
	-- $.important: forget BEFORE call, otherwise ignored in case of errors in call!
  if me.pSingleShotFlag then me.forget()
  call(me.pCbHandler, me.pCbObject, me.pArg1, me.pArg2, me.pArg3, me.pArg4)
end